// /*
//  * This file is part of the microblog <http://code.google.com/p/froggymicroblog/>
//  *
//  * Copyright (c) 2009, bouleetbil  <bouleetbil@frogdev.info>
//  * All rights reserved.
//  * 
//  * Redistribution and use in source and binary forms, with or without modification, are 
//  * permitted provided that the following conditions are met:
//  *
//  * - Redistributions of source code must retain the above copyright notice, this list 
//  *   of conditions and the following disclaimer.
//  * - Redistributions in binary form must reproduce the above copyright notice, this list 
//  *   of conditions and the following disclaimer in the documentation and/or other 
//  *   materials provided with the distribution.
//  * - Neither the name of the Twitterizer nor the names of its contributors may be 
//  *   used to endorse or promote products derived from this software without specific 
//  *   prior written permission.
//  *
//  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
//  * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
//  * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
//  * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
//  * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
//  * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
//  * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
//  * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
//  * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
//  * POSSIBILITY OF SUCH DAMAGE.
//  */

using System;
using System.Xml;
using System.Net;
using System.Collections;


namespace FluxRss
{
	
	
	public class Flux
	{
		
		
		public System.Collections.Generic.List<Message> messages = new System.Collections.Generic.List<Message>();  
		private string _url;
		private string _titre;

		public string Titre {
			get {
				return _titre;
			}
			set {
			_titre = value;
			}
		}
	
		public string Url {
			get {
				return _url;
			}
			set {
		_url = value;
			}
		}

	

		public Flux(string url)
		{
		try
			{
			this.Url=url;
			System.Net.WebRequest myRequest = System.Net.WebRequest.Create(url);
	        System.Net.WebResponse myResponse = myRequest.GetResponse();
	
	        System.IO.Stream rssStream = myResponse.GetResponseStream();
	        System.Xml.XmlDocument rssDoc = new System.Xml.XmlDocument();
	        rssDoc.Load(rssStream);
	
	        System.Xml.XmlNodeList rssItems = rssDoc.SelectNodes("rss/channel/item");
	
	       
	
	        for (int i = 0; i < rssItems.Count; i++)
	        {
				Message message = new Message();
	            System.Xml.XmlNode rssDetail;
	
	            rssDetail = rssItems.Item(i).SelectSingleNode("title");
	            if (rssDetail != null)
	            {
	                message.Title = rssDetail.InnerText;
	            }
	            else
	            {
	                message.Title = "";
	            }
	
	            rssDetail = rssItems.Item(i).SelectSingleNode("link");
	            if (rssDetail != null)
	            {
	                message.Url = rssDetail.InnerText;
	            }
	            else
	            {
	                message.Url = "";
	            }
	
	            rssDetail = rssItems.Item(i).SelectSingleNode("description");
	            if (rssDetail != null)
	            {
	                message.Description = rssDetail.InnerText;
	            }
	            else
	            {
	                message.Description = "";
	            }
				
				messages.Add(message);
				
				}
			}
		catch(Exception ex)
			{
				Console.WriteLine(ex.Message.ToString());
			}
			
		}
	}
}
